CENM support matrix

The Operating System platforms supported in Corda Enterprise Network Manager 1.3 are a subset of those supported by Java .

Production use of Corda Enterprise Network Manager 1.3+ is only supported on Linux OS, see details below.

For information about supported Operating Systems for Corda Enterprise, see the Corda Enterprise 4.5 platform support matrix section or check the relevant support documentation for previous versions of Corda Enterprise.

Hardware Security Modules (HSMs)

Both the Signing Service and the PKI Tool support a variety of HSMs.

Device Firmware Version Driver Version High Availability (HA)
Utimaco SecurityServer Se Gen2 4.21.1 4.21.1 No
Gemalto Luna 7.0.3 7.3 Yes (Tested and officially supported)
Securosys PrimusX 2.7.4 1.8.2 No
Azure Key Vault N/A 1.1.1 No
AWS CloudHSM N/A 3.0.0 No

CENM databases

CENM currently supports the following databases:

  • PostgreSQL 9.6 (JDBC 42.2.8)
  • PostgreSQL 10.10 (JDBC 42.2.8)
  • PostgreSQL 12.2 (JDBC 42.2.8)
  • Azure SQL (Microsoft JDBC Driver 6.4)
  • SQL Server 2017 (Microsoft JDBC Driver 6.4)
  • Oracle 11gR2 (Oracle JDBC 6)
  • Oracle 12cR2 (Oracle JDBC 8)

JDK support

Corda Enterprise 4.4+ and Corda Enterprise Network Manager 1.3+ have been tested and verified to work with Oracle JDK 8 JVM 8u251 and Azul Zulu Enterprise 8u252, for Azure deployment downloadable from Azul Systems .

Other distributions of the OpenJDK are not officially supported but should be compatible with Corda Enterprise 4.4.

Operating systems supported in production

Platform CPU Architecture Versions
Red Hat Enterprise Linux x86-64 7.x, 6.x
Suse Linux Enterprise Server x86-64 12.x, 11.x
Ubuntu Linux x86-64 16.04, 18.04
Oracle Linux x86-64 7.x, 6.x

Operating systems supported in development

Platform CPU Architecture Versions
Microsoft Windows x86-64 10, 8.x
Microsoft Windows Server x86-64 2016, 2012 R2, 2012
Apple macOS x86-64 10.9 and above

Node databases

Vendor CPU Architecture Versions JDBC Driver
Microsoft x86-64 Azure SQL,SQL Server 2017 Microsoft JDBC Driver 6.4
Oracle x86-64 11gR2 Oracle JDBC 6
Oracle x86-64 12cR2 Oracle JDBC 8
PostgreSQL x86-64 9.6, 10.10, 11.5 PostgreSQL JDBC Driver 42.1.4 / 42.2.8

Was this page helpful?

Thanks for your feedback!

Chat with us

Chat with us on our #docs channel on slack. You can also join a lot of other slack channels there and have access to 1-on-1 communication with members of the R3 team and the online community.

Propose documentation improvements directly

Help us to improve the docs by contributing directly. It's simple - just fork this repository and raise a PR of your own - R3's Technical Writers will review it and apply the relevant suggestions.

We're sorry this page wasn't helpful. Let us know how we can make it better!

Chat with us

Chat with us on our #docs channel on slack. You can also join a lot of other slack channels there and have access to 1-on-1 communication with members of the R3 team and the online community.

Create an issue

Create a new GitHub issue in this repository - submit technical feedback, draw attention to a potential documentation bug, or share ideas for improvement and general feedback.

Propose documentation improvements directly

Help us to improve the docs by contributing directly. It's simple - just fork this repository and raise a PR of your own - R3's Technical Writers will review it and apply the relevant suggestions.